clang 10.0.0git

Public Member Functions | List of all members
clang::tooling::dependencies::DependencyConsumer Class Referenceabstract

`#include "clang/Tooling/DependencyScanning/DependencyScanningWorker.h"`

## Public Member Functions
virtual | ~DependencyConsumer ()
virtual void | handleFileDependency (const DependencyOutputOptions &Opts, StringRef Filename)=0
virtual void | handleModuleDependency (ModuleDeps MD)=0
virtual void | handleContextHash (std::string Hash)=0

## Detailed Description

Definition at line 33 of file DependencyScanningWorker.h.

## Constructor & Destructor Documentation

## ◆ ~DependencyConsumer()

virtual clang::tooling::dependencies::DependencyConsumer::~DependencyConsumer | ( |  | ) |
| inline virtual

Definition at line 35 of file DependencyScanningWorker.h.

References Filename, handleContextHash(), handleFileDependency(), and handleModuleDependency().

## Member Function Documentation

## ◆ handleContextHash()

virtual void clang::tooling::dependencies::DependencyConsumer::handleContextHash | ( | std::string | Hash | ) |
| pure virtual

Referenced by ~DependencyConsumer().

## ◆ handleFileDependency()

virtual void clang::tooling::dependencies::DependencyConsumer::handleFileDependency | ( | const DependencyOutputOptions & | Opts,
|  | StringRef | Filename
| ) |  |
| pure virtual

Referenced by clang::tooling::dependencies::ModuleDepCollectorPP::EndOfMainFile(), and ~DependencyConsumer().

## ◆ handleModuleDependency()

virtual void clang::tooling::dependencies::DependencyConsumer::handleModuleDependency | ( | ModuleDeps | MD | ) |
| pure virtual

Referenced by clang::tooling::dependencies::ModuleDepCollectorPP::EndOfMainFile(), and ~DependencyConsumer().

The documentation for this class was generated from the following file:

- include/clang/Tooling/DependencyScanning/DependencyScanningWorker.h